llvm.org GIT mirror llvm / 9993a3a projects / sample / autoconf / m4 / path_perl.m4
9993a3a

Tree @9993a3a (Download .tar.gz)

path_perl.m4 @9993a3araw · history · blame

dnl Check for a reasonable version of Perl.
dnl   $1 - Minimum Perl version.  Typically 5.006.
dnl 
AC_DEFUN([LLVM_PROG_PERL], [
AC_PATH_PROG(PERL, [perl], [none])
if test "$PERL" != "none"; then
  AC_MSG_CHECKING(for Perl $1 or newer)
  if $PERL -e 'use $1;' 2>&1 > /dev/null; then
    AC_MSG_RESULT(yes)
  else
    PERL=none
    AC_MSG_RESULT(not found)
  fi
fi
])